import { format } from 'util';
import { relativePath } from '@idlebox/node';
export function formatMyDiagnostic(node, message, ...args) {
    const pos = node.getSourceFile().getLineAndCharacterOfPosition(node.getStart());
    return format('%s(%s,%s): ' + message, relativePath(process.cwd(), node.getSourceFile().fileName), pos.line + 1, pos.character, ...args);
}
export function printMyDiagnostic(node, message, ...args) {
    console.error(formatMyDiagnostic(node, message, ...args));
}
//# sourceMappingURL=myDiagnostic.js.map